<div class="menu">
  <a mat-fab color="primary" (click)="logout()">
    <i class="material-icons">exit_to_app</i>
  </a>
  <a mat-fab color="primary" [routerLink]="['/panel/users']">
    <i class="material-icons">supervisor_account</i>
  </a>
  <a mat-fab color="primary" [routerLink]="['/panel/posts']">
    <i class="material-icons">subject</i>
  </a>
</div>
<mat-card>
  <mat-card-title>افزودن پست</mat-card-title>
  <mat-card-content>
    <form>
      <mat-form-field>
        <input tabindex="1" matInput type="text" placeholder="عنوان" [formControl]="title" required [(ngModel)]="titleValue" (input)="titleValue = $event.target.value">
        <mat-error *ngIf="title.invalid">{{getTitleErrorMessage()}}</mat-error>
      </mat-form-field>
      <mat-form-field>
        <textarea tabindex="2" matInput placeholder="محتوا" matTextareaAutosize="true" [formControl]="content" required [(ngModel)]="contentValue"
          (input)="contentValue = $event.target.value"></textarea>
        <mat-error *ngIf="content.invalid">{{getContentErrorMessage()}}</mat-error>
      </mat-form-field>
      <input-file inputId="images" fileAccept="image/*" fileLimit="1" placeholder="انتخاب تصویر"></input-file>
    </form>
  </mat-card-content>
  <mat-card-footer>
    <button mat-flat-button color="primary" (click)="add()">افزودن</button>
  </mat-card-footer>
</mat-card>